using UnityEditor;
using UnityEngine;

[CustomEditor(typeof(LevelManagerScript))]
public class LevelManagerEditor : Editor
{
    public override void OnInspectorGUI()
    {
        DrawDefaultInspector();
        if (Application.isPlaying)
        {
            if (GUILayout.Button("Save"))
            {
                LevelManager.Instance.SaveFile();
            }
            if (GUILayout.Button("Load"))
            {
                LevelManager.Instance.LoadFile();
            }
        }
    }
}